﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule;
using System.Diagnostics;

namespace WinMonthViewSingleMerge
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraCalendarInfo1.Owners.UnassignedOwner.Visible = false;
            ultraCalendarInfo1.Owners.Add("Owner1");
            ultraCalendarInfo1.Owners.Add("Owner2");
            foreach (OwnerDisplayStyle ods in Enum.GetValues(typeof(OwnerDisplayStyle)))
            {
                ultraComboEditor1.Items.Add(ods);
            }
            ultraComboEditor1.SelectedText = OwnerDisplayStyle.Separate.ToString();
            Appointment app = new Appointment(DateTime.Now, DateTime.Now.AddHours(5));
            app.Owner = ultraCalendarInfo1.Owners["Owner1"];
            ultraCalendarInfo1.Appointments.Add(app);
            DateTime d = DateTime.Now.AddDays(1);
            Appointment app2 = new Appointment(d,d.AddHours(5));
            app2.Owner = ultraCalendarInfo1.Owners["Owner2"];
            ultraCalendarInfo1.Appointments.Add(app2);

            foreach (Owner ow in ultraCalendarInfo1.Owners)
            {
                switch (ow.Key)
                {
                    case "Owner1":
                        ow.DayAppearance.BackColor = Color.Red;
                        ow.DayAppearance.BackColor2 = Color.Pink;
                        ow.DayAppearance.BackGradientStyle = Infragistics.Win.GradientStyle.GlassBottom50;
                        ow.HeaderAppearance.BackColor = Color.Red;
                        ow.HeaderAppearance.BackColor2 = Color.Pink;
                        ow.HeaderAppearance.BackGradientStyle = Infragistics.Win.GradientStyle.GlassBottom50;
                        break;
                    case "Owner2":
                        ow.DayAppearance.BackColor = Color.Yellow;
                        ow.DayAppearance.BackColor2 = Color.Orange;
                        ow.DayAppearance.BackGradientStyle = Infragistics.Win.GradientStyle.GlassBottom50;
                        ow.HeaderAppearance.BackColor = Color.Yellow;
                        ow.HeaderAppearance.BackColor2 = Color.Orange;
                        ow.HeaderAppearance.BackGradientStyle = Infragistics.Win.GradientStyle.GlassBottom50;
                        break;
                }

                foreach (Appointment appointment in ultraCalendarInfo1.Appointments)
                {
                    appointment.Appearance = appointment.Owner.HeaderAppearance;
                }
               
            }
        }

        private void ultraComboEditor1_ValueChanged(object sender, EventArgs e)
        {
            ultraMonthViewSingle1.OwnerDisplayStyle = (OwnerDisplayStyle)ultraComboEditor1.SelectedItem.DataValue;

        }

        private void ultraMonthViewSingle1_AfterActiveOwnerChanged(object sender, AfterActiveOwnerChangedEventArgs e)
        {
           
        }
    }
}
